	.text
	.globl	cequ_mw
#
# implement character comparison procedure ceqmw in little lib in macro.
# calling sequence is as follows:
#	v = cequ_mw(ax, ay);  $ ax .seq. ay
# author:  d. shields  (nyu-cims)  16-aug-79
#
#	.entry	cequ_mw,^m<r2,r3,r4>
#
	.align	1
cequ_mw: .word	0x1c
# verify that arguments correctly formed.
	pushl	$31			# call vstr_mw(ax, 31);
	movl	sp,r3			# ...
	pushl	r3
	pushl	4(ap)			# ...
	calls	$2,vstr_mw		# ...
# save length, address of first arg.
	movq	r0,r2			# copy length/address.
	pushl	$31			# call vstr_mw(ay, 31).
	movl	sp,r4			# ...
	pushl	r4			# ...
	pushl	8(ap)			# ...
	calls	$2,vstr_mw		# ...
	cmpl	r2,r0			# compare lengths.
	bneq	cequ3			# if different lengths.
	tstl	r0			# see if both null
	beql	cequ2			# if both null.
	movab	ltllib_sds_ot,r4	# get initial offset address.
cequ1:	movzbl	(r4)+,r0		# get offset of char.
	cmpb	(r3)[r0],(r1)[r0]	# compare characters.
	bneq	cequ3			# if strings differ.
	sobgtr	r2,cequ1		# loop if more chars.
# here if strings equal.
cequ2:	movl	$1,r0			# indicate strings equal.
	ret
cequ3:	# here if strings not equal.
	clrl	r0			# set failure return code.
	ret
