	.text
	.globl	pack_li
#
# implement pack_env option that unpacks words to array of characters.
# the code is called as follows:
#	call pack_li(pa, pai, ua, uai, nc);
# where pa is array of words, pai is starting index in pa,
# ua is array of charactes, uai is starting index in ua,
# and nc is number of characters to pack. the last word
# in pa is blank-filled if needed.
#
#	.entry	pack_li,^m<r2,r3,r4,r5>
#
	.align	1
pack_li: .word	0x3c
	movl	*20(ap),r1		# get move count.
	bneq	pack1			# if nonzero.
	ret				# done if nothing to move.
pack1:	movl	*8(ap),r2		# get pai value.
	decl	r2			# account for ones-origin.
	moval	*4(ap)[r2],r2		# get starting dst adr.
	movl	*16(ap),r3		# get uai value.
	decl	r3			# account for ones-origin.
	moval	*12(ap)[r3],r3		# set initial ara adr.
	movab	ltllib_sds_ot,r4	# get initial ot address.
pack2:	movzbl	(r4)+,r5		# get offset for sds.
	cvtlb	(r3)+,(r2)[r5]		# move byte.
	sobgtr	r1,pack2		# loop if more chars.
# see if need to fill last word with blanks.
	bicl3	$~3,r5,r3		# get last offset used.
	beql	pack4			# if last word done.
pack3:	movzbl	(r4)+,r5		# get offset.
	movb	$32,(r2)[r5]		# store blank.
	sobgtr	r3,pack3		# if more to pad.
pack4:	ret
