	.text
	.globl	unpk_li
#
# implement unpk_env option that unpacks words to array of characters.
# the code is called as follows:
#	call unpk_li(pfl, pfcol, ara, lo, nc);
# where pfl is array of characters, pfcol is starting
# index, ara is array of packed characters with starting
# index lo, and nc is number of characters to unpack.
#
#	.entry	unpk_li,^m<r2,r3,r4,r5>
#
	.align	1
unpk_li: .word	0x3c
	movl	*20(ap),r1		# get move count.
	bneq	unpk1			# if nonzero.
	ret				# done if nothing to move.
unpk1:	movl	*8(ap),r2		# get pfcol value.
	decl	r2			# account for ones-origin.
	moval	*4(ap)[r2],r2		# get starting dst adr.
	movl	*16(ap),r3		# get lo value.
	decl	r3			# account for ones-origin.
	moval	*12(ap)[r3],r3		# set initial ara adr.
	movab	ltllib_sds_ot,r4	# get initial ot address.
unpk2:	movzbl	(r4)+,r5		# get offset for sds.
	movzbl	(r3)[r5],(r2)+		# store char of string.
	sobgtr	r1,unpk2		# loop if more chars.
	ret
