#include <stdio.h>
#include <ctype.h>

_ltlmai()  /* the main program */
{
	int pincr(), pimki(), pifrs(), pimin();
  	int (*eara[4])();
	int narg;

  	eara[0] = pimki;
	eara[1] = pifrs;
	eara[2] = pimin;
	eara[3] = pincr;
	narg = 4;
	STLINT(eara, &narg);
}
pimki(s,ls,iv)
	char *s;
	int *ls; /* length of string */
	int *iv;
{
/*	convert input string to integer */
	int i;
	int c;
	*iv = 0;
	for (i=0;i<*ls;i++) {
		c = s[i];
		if (isdigit(c)) {
			*iv = (*iv)*10 + (c-'0');
		}
	}
}
pifrs(rv,length,fract,str)
	float *rv;
	int *length, *fract;
	char *str;
{
/*	convert real value to string:
 *	first arg is real, second arg is field length,
 *	third arg is number of places after decimal point	
 */
	sprintf(str,"%*.*f",*length,*fract,*rv);
}
pimin(itup,n,minr)
	int *itup;
	int *n;
	int *minr;
/*	find minimum of integer tuple. Return tuple with first
 *	component the minimum value, second component the least
 *	index of input tuple with that value
 */
{
	register nn;
	int i;
	nn = *n;
	if (*n=0) { /* if null tuple */
		minr[0] = 0;
		minr[1] = 0;
	}
	else {
		minr[0] = itup[0];
		minr[1] = 1;
		for (i=0;i<nn;i++) {
			if (itup[i]<minr[0]) {
				minr[0] = itup[i];
				minr[1] = i+1;
			}
		}
	}
}
pincr(n,r)
	int *r;
	int *n;
{
	*r = *n + 1;
}
