	.globl	mth_aint
	.align	1
mth_aint:
	.word	0x0ffc
	pushl	4(ap)
	calls	$1,_r_int
	cvtdf	r0,r0
	ret

	.globl	mth_dim
	.align	1
mth_dim:
	.word	0x0ffc
	pushl	8(ap)
	pushl	4(ap)
	calls	$2,_r_dim
	cvtdf	r0,r0
	ret

	.globl	mth_amod
	.align	1
mth_amod:
	.word	0x0ffc
	pushl	8(ap)
	pushl	4(ap)
	calls	$2,_r_mod
	cvtdf	r0,r0
	ret

	.globl	mth_sqrt
	.globl	_sqrt
mth_sqrt:
	.word	0x0ffc
	cvtfd	*4(ap),-(sp)
	calls	$2,_sqrt
	cvtdf	r0,r0
	ret

	.align	1
	.globl	mth_alg10
	.globl	_log10
mth_alg10:
	.word	0x0ffc
	cvtfd	*4(ap),-(sp)
	calls	$2,_log10
	cvtdf	r0,r0
	ret

	.align	1
	.globl	mth_alog
	.globl	_log
mth_alog:
	.word	0x0ffc
	cvtfd	*4(ap),-(sp)
	calls	$2,_log
	cvtdf	r0,r0
	ret

	.align	1
	.globl	mth_exp
	.globl	_exp
mth_exp:
	.word	0x0ffc
	cvtfd	*4(ap),-(sp)
	calls	$2,_exp
	cvtdf	r0,r0
	ret

	.align	1
	.globl	mth_atn2
mth_atn2:
	.word	0x0ffc
	cvtfd	*8(ap),-(sp)
	cvtfd	*4(ap),-(sp)
	calls	$4,_atan2
	cvtdf	r0,r0
	ret

	.align	1
	.globl	mth_atan
	.globl	_atan
mth_atan:
	.word	0x0ffc
	cvtfd	*4(ap),-(sp)
	calls	$2,_atan
	cvtdf	r0,r0
	ret

	.align	1
	.globl	mth_cos
	.globl	_cos
mth_cos:
	.word	0x0ffc
	cvtfd	*4(ap),-(sp)
	calls	$2,_cos
	cvtdf	r0,r0
	ret

	.align	1
	.globl	mth_sin
	.globl	_sin
mth_sin:
	.word	0x0ffc
	cvtfd	*4(ap),-(sp)
	calls	$2,_sin
	cvtdf	r0,r0
	ret

	.align	1
	.globl	mth_tanh
	.globl	_tanh
mth_tanh:
	.word	0x0ffc
	cvtfd	*4(ap),-(sp)
	calls	$2,_tanh
	cvtdf	r0,r0
	ret

	.align	1
	.globl	mth_tan
	.globl	_tan
mth_tan:
	.word	0x0ffc
	cvtfd	*4(ap),-(sp)
	calls	$2,_tan
	cvtdf	r0,r0
	ret

#	cefr_io(rv, ara, araptr, expval)
#	real rv		real value output
#	size ara(ps)	array of integers
#	size araptr(ps)	number of integers
#	size expval(ws)	signed exponent as power of ten
#
#	convert integers in ara(1) to ara(araptr) into mantissa
#	of floating point value returned in rv.
#	ara(araptr+1) is non-zero for negative value.
#	ara(araptr+2) is zero for successful conversion, one for error
#	(in this code, you'll just die; no error recovery)
	.align	1
	.globl	_pow
	.globl	cefr_io
cefr_io:
	.word	0xfc0
	movl	8(ap),r11
	movl	*12(ap),r10
	movl	r10,r8
	clrd	r6
cefr1:
	muld2	$0d10.0,r6
	cvtld	(r11)+,r9
	addd2	r9,r6
	sobgtr	r8,cefr1
	tstd	r6
	beql	cefr2
	cvtld	*16(ap),r0
	jeql	cefr2
	movq	r0,-(sp)
	movd	$0d10.0,-(sp)
	calls	$4,pow
	muld2	r0,r6
cefr2:
	tstl	(r11)+
	beql	cefr3
	mnegd	r6,r6
cefr3:
	cvtdf	r6,*4(ap)
	clrl	(r11)
	ret

#	cref_io(rv, nsd, se, fp)
#
#	convert floating point value rv to signed exponent se and
#	fractional part fp.  Then round fp to nsd significant digits.
#	the addition for rounding is done but not the truncation
	.align	1
	.globl	cref_io
cref_io:
	.word	0xf80
	cvtfd	*4(ap),r10
	jneq	cref1
	clrl	*12(ap)
	clrl	*16(ap)
	ret
cref1:
	jgeq	cref15
	mnegd	r10,r10
cref15:
	extzv	$7,$8,r10,r9
	subl2	$128,r9
	cvtld	r9,r8
	muld2	$0d0.3010299957,r8
	cvtdl	r8,r9
	subl3	r9,$7,r8
	jeql	cref2
	cvtld	r8,-(sp)
	movd	$0d10.0,-(sp)
	calls	$4,pow
	muld2	r0,r10
	.data
dten:	.double 0d1.0e0
ten8:	.double	0d1.0e8
ten7:	.double 0d1.0e7
	.text
cref2:
	cmpd	r10,ten8
	blss	cref3
	divd2	$0d10.0,r10
	incl	r9
	brb	cref2
cref3:
	cmpd	r10,ten7
	bgeq	cref4
	muld2	$0d10.0,r10
	decl	r9
	brb	cref3
cref4:
	cvtdl	r10,r11
	movl	*8(ap),r10
	bgtr	cref5
	movl	$1,r10
	movl	r10,*8(ap)
cref5:
	cmpl	r10,$7
	bleq	cref5a
	movl	$8,r10
	movl	r10,*8(ap)
	brb	cref6
cref5a:	subl3	r10,$7,r10
	cvtld	r10,-(sp)
	movd	$0d10.0,-(sp)
	calls	$4,pow
	cvtdl	r0,r0
	mull2	$5,r0
	addl2	r0,r11
	cmpl	r11,$100000000
	blss	cref6
	movl	$100000000,r11
	incl	r9
cref6:
	movl	r9,*12(ap)
	tstf	*4(ap)
	bgeq	cref7
	mnegl	r11,r11
cref7:
	movl	r11,*16(ap)
	ret

pow:
	.word	0xffc
	movd	12(ap),-(sp)
	movd	4(ap),-(sp)
	calls	$4,_pow
	ret
