	.text
	.globl	mova_li
#
# implement mova_li required by movea_env option.  this procedure moves
# blocks of words and is called as follows:
#	call mova_li(ta, tai, sa, sai, nw)
# where ta is destination array, tai is starting index in ta, sa is
# source array, sai is starting index in sa, and nw is number of words
# to move.
# author:  d. shields  (nyu-cims)  15-aug-79
#
#	.entry	mova_li,^m<r2,r3,r4,r5>
#
	.align	1
mova_li: .word	0x3c
	movl	*8(ap),r1		# get tai.
	decl	r1			# account for ones-origin.
	moval	*4(ap)[r1],r1		# get starting adr for ta.
	movl	*16(ap),r2		# get sai.
	decl	r2			# account for ones-origin.
	moval	*12(ap)[r2],r2		# get starting adr for sa.
	movl	*20(ap),r3		# get move count.
	ashl	$2,r3,r3		# convert to byte count.
	movc3	r3,(r2),(r1)		# move words.
	ret
