	.text
	.globl	pcsa_io
#
# implement little lib i/o procedure pcsa_io in environment.
# calling sequence is as follows:
#	call pcsa_io(rc, putting, saddr, cpos, cval)
# author:  d. shields  (nyu-cims) 23-aug-79
#
#	.entry	pcsa_io,0
#
	.align	1
pcsa_io: .word	0
	movl	*12(ap),r1		# get address of string.
	moval	0[r1],r1		# ...
	movl	*16(ap),r0		# get string position.
	bleq	pcsa2			# if position < 1.
	cmpw	r0,(r1)			# compare with str length.
	bgtr	pcsa2			# if position > length.
	extzv	$21,$11,(r1),r0		# get word offset of origin.
	mnegl	r0,r0			# negate to set backwards.
	moval	4(r1)[r0],r1		# point to first word.
	subl3	$1,*16(ap),r0		# get position, zero-origin.
	movzbl	ltllib_sds_ot[r0],r0	# get offset of char.
	tstl	*8(ap)			# see if getting.
	beql	pcsa1			# if getting char.
# here if putting character to string.
	movb	*20(ap),(r1)[r0]	# store character.
	clrl	*4(ap)			# set return code.
	ret				# return.
pcsa1:	# here to get character from string.
	movzbl	(r1)[r0],*20(ap)	# get character.
	clrl	*4(ap)			# set return code.
	ret
pcsa2:	# here if bad position, set return code of two.
	movl	$2,*4(ap)		# set return code.
	ret				# return.
