	.text
	.globl	spak_li
#
# implement env option sdspak_env to provide procedure spak_li, which is
# called as follows:
#	call spak_li(s, ara, nc);
# where s is in sds form, ara is array of characters and nc is number of
# characters.  spak_li moves the nc characters from ara to s and sets
# length of s to nc.
# author:  d. shields  (nyu-cims)  15-aug-79
#
#	.entry	spak_li,^m<r2,r3,r4>
#
	.align	1
spak_li: .word	0x1c
	movl	4(ap),r1		# get adr of s.
	movl	*12(ap),r0		# get move count.
	movw	r0,(r1)			# store string length.
	bneq	spak1			# if characters to move.
	ret
spak1:	extzv	$21,$11,(r1),r2		# get offset in words.
	mnegl	r2,r2			# negate to set backwards.
	moval	4(r1)[r2],r1		# adjust s adr.
	movl	8(ap),r2		# get adr of ara.
	movab	ltllib_sds_ot,r3	# get initial ot adr.
spak2:	movzbl	(r3)+,r4		# get offset into string.
	cvtlb	(r2)+,(r1)[r4]		# move byte to s.
	sobgtr	r0,spak2		# loop if more chars.
	ret
