	.text
	.globl	txtl_li
#
# implement special case code for txtl_env option in little lib.  this
# code unpacks sds datum directly to line buffer used by lcp i/o
# routines, and is called as follows:
#	call txtl_li(pfl, pfcol, t)
# where pfl is array of characters, pfcol is starting index, and t is
# sds datum.  the code is to move characters in t to pfl, starting at
# position pfcol.
#
#	.entry	txtl_li,^m<r2,r3,r4,r5,r6>
#
	.align	1
txtl_li: .word	0x7c
	movl	12(ap),r1		# get adr of t.
	movzwl	(r1),r2			# get length of t.
	bneq	txtl1			# if length nonzero.
	ret				# return if null string.
txtl1:	extzv	$21,$11,(r1),r3		# get word offset of origin.
	mnegl	r3,r3			# set backwards.
	moval	4(r1)[r3],r1		# compute t starting adr.
	movl	*8(ap),r3		# get pfcol value.
	decl	r3			# account for ones-origin.
	movl	4(ap),r4		# get adr of pfl.
	movab	ltllib_sds_ot,r5	# get adr of ot.
txtl2:	movzbl	(r5)+,r6		# load offset for string.
	movzbl	(r1)[r6],(r4)+[r3]	# move char unpacked.
	sobgtr	r2,txtl2		# loop if more chars.
	ret
