#include <stdio.h>
#include <sys/types.h>
#include <sys/vadvise.h>
typedef	int	SDS;
typedef	int	PACK;
typedef	int	UNPACK;
#define	GET	1
#define	PRINT	2
#define	PUT	3
#define	READ	4
#define	STRING	5
#define	WRITE	6
#define	NFILE	20
#define PROMPTSIZE	64
typedef struct{
	FILE	*fptr;
	short	linesize;
	short	errlevel;
	short	access;
	char	name[64];
	short	prompting;
	char	prompt[PROMPTSIZE]; /* if prompting */
}IO;
extern	IO	IOtab[NFILE+1];		/* IOtab[0] is unused */

extern char IOpbuf[];
char *
IOgetaddr(ss, heapaddr, lenptr)
	int ss;
	int *heapaddr;
	short **lenptr;
{
	int off;
	register char *heap;
	heap=(char *)heapaddr;
	heapaddr+=ss;
	off=((short *)heapaddr)[0]-4;
	*lenptr= &((short *)heapaddr)[1];
	return(heap+(off+((*++heapaddr&0x00fffffc)+8)));
}
envgss(fn, rc, ss, heapaddr)
	int *fn, *rc, *ss, *heapaddr;
{
	char *p;
	register i;
	short *lenptr;
	p=IOgetaddr(*ss, heapaddr, &lenptr);
	if(*rc=(IOfget(fn, IOpbuf, *lenptr+1, IOtab[*fn].fptr)==EOF))
		return;
	i=strlen(IOpbuf);
	if(i<*lenptr)
		*lenptr=i;
	strncpy(p, IOpbuf, *lenptr);
}
envpss(fn, rc, ss, heapaddr)
	int *fn, *rc, *ss, *heapaddr;
{
	char *p;
	short *lenptr;
	p=IOgetaddr(*ss, heapaddr, &lenptr);
	*rc=0;
	if(fwrite(p, 1, *lenptr, IOtab[*fn].fptr)==0)
		*rc=2;
	putc('\n', IOtab[*fn].fptr);
}

#include <sys/time.h>
#include <sys/resource.h>
#define MEMSLOP (64*1024)
envdsl(n)
int *n;
{
	int sbrk();
	struct rlimit rlp;
	getrlimit(RLIMIT_DATA, &rlp);
	*n = (rlp.rlim_max - sbrk(0) - MEMSLOP + 1) / 4;
}
envdsa(a, n)
int *a, *n;
{ /* allocate n words, put address in a */
	int sbrk();
	*a = sbrk((*n)*4);
}
vadvice(n)
int *n;
{ /* call vadvise to suggest expected paging behavior */
	if (*n==0)  vadvise(VA_NORM);
	else if (*n==1)  vadvise(VA_ANOM);
}
ttyopn(n)
int *n;
{

}
ttyget(c)
{
}
ttyputss(ss,heap)
char *ss;
int heap;
{
}
hosind(ss1,ss2,heap)
char *ss1,*ss2;
int heap;
{
}
hoscas(ss1,ss2,aid,heap)
char *ss1,*ss2;
int aid,heap;
{
}
hoscli(ss,heapaddr)
	int *ss, *heapaddr;
{
/* copy argument string to c format string, and execute as command */
	char *p,*pc;
	register i;
	short *lenptr;
	p = IOgetaddr(*ss, heapaddr, &lenptr);
	pc = IOpbuf;
	for (i=0;i<*lenptr;i++) {
		*pc++ = *p++;
	}
	*pc = '\0'; 
	system(IOpbuf);
}
hosscr()
{
}
